<?
header('Content-Type: text/html;charset=UTF-8');

$port = $_POST['port'];
$server = $_POST['server'];

                $fp = @fsockopen($server, $port, $errno, $errstr, 5);
                if(!$fp){echo 'Radyo Çevrimdışı'; exit;}
                if($fp) {
                @fputs($fp,"GET /7.html HTTP/1.0\r\nUser-Agent: XML Reader(Mozilla Compatible)\r\n\r\n");
                while(!feof($fp)) {
                $dataset = fgets($fp, 1000);
                }}
                @fclose($fp);
                $entries = explode(",",$dataset);
                $status = strip_tags($entries[1]); //radyo yayını varsa sonuç 1 döner, radyoda hiçbir yayın yoksa sonuç 0 döner eğer lazım olursa
                $currentlisteners = strip_tags($entries[0]); //Dinleyici sayısı eğer lazım olursa
                $bitrate= strip_tags($entries[5]); //Bitrate eğer lazım olursa
                $track= $entries[6]; //Çalan Şarkı ismi

 
    if($status == '1') {
    echo "$track"; 
    exit;
    } else
    {
    echo '(Çevrimdışı Akış)';
    exit;
    }


 
?>